SimpleTriggerContext (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.scheduling.support

## Class SimpleTriggerContext

- java.lang.Object
- - org.springframework.scheduling.support.SimpleTriggerContext

- All Implemented Interfaces:
    TriggerContext

      public class SimpleTriggerContext
      extends Object
      implements TriggerContext

  Simple data holder implementation of the `TriggerContext` interface.
  Since:
    3.0
  Author:
    Juergen Hoeller

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleTriggerContext()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Date` | `lastActualExecutionTime()` Return the last actual execution time of the task, or `null` if not scheduled before.
    `Date` | `lastCompletionTime()` Return the last completion time of the task, or `null` if not scheduled before.
    `Date` | `lastScheduledExecutionTime()` Return the last scheduled execution time of the task, or `null` if not scheduled before.
    `void` | `update(Date lastScheduledExecutionTime, Date lastActualExecutionTime, Date lastCompletionTime)` Update this holder's state with the latest time values.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleTriggerContext

          public SimpleTriggerContext()

  - ### Method Detail

    - #### update

          public void update(Date lastScheduledExecutionTime,
                    Date lastActualExecutionTime,
                    Date lastCompletionTime)

      Update this holder's state with the latest time values.
      Parameters:
        `lastScheduledExecutionTime` - last scheduled execution time
        `lastActualExecutionTime` - last actual execution time
        `lastCompletionTime` - last completion time

    - #### lastScheduledExecutionTime

          public Date lastScheduledExecutionTime()

      Description copied from interface: `TriggerContext`
      Return the last scheduled execution time of the task, or `null` if not scheduled before.
      Specified by:
        `lastScheduledExecutionTime` in interface `TriggerContext`

    - #### lastActualExecutionTime

          public Date lastActualExecutionTime()

      Description copied from interface: `TriggerContext`
      Return the last actual execution time of the task, or `null` if not scheduled before.
      Specified by:
        `lastActualExecutionTime` in interface `TriggerContext`

    - #### lastCompletionTime

          public Date lastCompletionTime()

      Description copied from interface: `TriggerContext`
      Return the last completion time of the task, or `null` if not scheduled before.
      Specified by:
        `lastCompletionTime` in interface `TriggerContext`